<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

declare(strict_types=1);

namespace ServicenowModule\Model\Entity;

use Cake\I18n\FrozenTime;
use Cake\ORM\Entity;

/**
 * ServicenowHostspecificSetting Entity
 *
 * @property int $id
 * @property string|null $host_uuid
 * @property string|null $assignment_group
 * @property string|null $assigned_to
 * @property string|null $business_service
 * @property int|null $impact
 * @property int|null $urgency
 * @property FrozenTime $created
 * @property FrozenTime $modified
 */
class ServicenowHostspecificSetting extends Entity {
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'host_uuid'        => true,
        'assignment_group' => true,
        'assigned_to'      => true,
        'business_service' => true,
        'impact'           => true,
        'urgency'          => true,
        'created'          => true,
        'modified'         => true,
    ];
}
