<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

declare(strict_types=1);

namespace ServicenowModule\Model\Entity;

use Cake\I18n\FrozenTime;
use Cake\ORM\Entity;

/**
 * ServicenowIncident Entity
 *
 * @property int $id
 * @property string|null $incident_id
 * @property string|null $sys_id
 * @property int|null $state
 * @property string|null $resolution_code
 * @property string|null $resolution_notes
 * @property string|null $host_uuid
 * @property string|null $service_uuid
 * @property FrozenTime $created
 * @property FrozenTime $modified
 *
 * @property Incident $incident
 * @property Sy $sy
 */
class ServicenowIncident extends Entity {
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'incident_id'      => true,
        'sys_id'           => true,
        'state'            => true,
        'resolution_code'  => true,
        'resolution_notes' => true,
        'host_uuid'        => true,
        'service_uuid'     => true,
        'created'          => true,
        'modified'         => true,
        'incident'         => true,
        'sy'               => true,
    ];
}
