<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

declare(strict_types=1);

namespace ServicenowModule\Model\Entity;

use Cake\I18n\FrozenTime;
use Cake\ORM\Entity;

/**
 * ServicenowSetting Entity
 *
 * @property int $id
 * @property string|null $url
 * @property string|null $user_id
 * @property string|null $user_password
 * @property string|null $assignment_group
 * @property string|null $assigned_to
 * @property string|null $business_service
 * @property int|null $impact
 * @property int|null $urgency
 * @property int|null $recovery_state
 * @property bool $two_way
 * @property bool $use_proxy
 * @property FrozenTime $created
 * @property FrozenTime $modified
 */
class ServicenowSetting extends Entity {
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'domain'              => true,
        'user_id'          => true,
        'user_password'    => true,
        'assignment_group' => true,
        'assigned_to'      => true,
        'business_service' => true,
        'impact'           => true,
        'urgency'          => true,
        'recovery_state'   => true,
        'two_way'          => true,
        'use_proxy'        => true,
        'created'          => true,
        'modified'         => true,
    ];
}
