<?php
// Copyright (C) <2019>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>

<div class="card-header" ng-show="incident.ServicenowIncident != null">
    <i class="fa-solid fa-wand-magic-sparkles"></i> <?php echo __('Incident overview'); ?>
</div>
<div class="card-body" ng-show="incident.ServicenowIncident != null">
    <div class="col-xs-12">
        <table class="table table-bordered">
            <tr>
                <td><?php echo __('Number'); ?></td>
                <td>{{incident.ServicenowIncident.incident_id}}</td>
            </tr>
            <tr>
                <td><?php echo __('State'); ?></td>
                <td>{{incident.ServicenowIncident.state}}</td>
            </tr>
            <tr ng-show="incident.ServicenowIncident.resolution_code.length > 0">
                <td><?php echo __('Resolution code'); ?></td>
                <td>{{incident.ServicenowIncident.resolution_code}}</td>
            </tr>
            <tr ng-show="incident.ServicenowIncident.resolution_notes.length > 0">
                <td><?php echo __('Resolution notes'); ?></td>
                <td>{{incident.ServicenowIncident.resolution_notes}}</td>
            </tr>
            <tr>
                <td><?php echo __('URL'); ?></td>
                <td>
                    <a href="{{globalsettings.ServicenowSettings.url}}/nav_to.do?uri=/incident.do?sys_id={{incident.ServicenowIncident.sys_id}}"
                       target="_blank">
                        {{globalsettings.ServicenowSettings.url}}/nav_to.do?uri=/incident.do?sys_id={{incident.ServicenowIncident.sys_id}}
                    </a>
                </td>
            </tr>
        </table>
    </div>
</div>

<div class="card-header">
    <i class="fa-solid fa-wand-magic-sparkles"></i> <?php echo __('Edit Service-Specific Settings'); ?>
</div>
<div class="card-body">
    <div class="col-xs-12">
        <form ng-if="editable" ng-submit="submit();" class="form-horizontal">
            <div class="row">

                <div class="form-group required col-12 padding-left-0" ng-class="{'has-error': errors.impact}">
                    <label class="col col-md-2 control-label" for="ServicenowServicespecificSettings.impact">
                        <?php echo __('Incident Impact'); ?>
                    </label>
                    <div class="col col-xs-10">
                        <select data-placeholder="<?php echo __('Please choose'); ?>"
                                class="form-control"
                                chosen=""
                                servicenow-convert-to-number
                                id="ServicenowServicespecificSettings.impact"
                                ng-model="settings.ServicenowServicespecificSettings.impact">
                            <option value="1"><?php echo __('1 - High'); ?></option>
                            <option value="2"><?php echo __('2 - Medium'); ?></option>
                            <option value="3"><?php echo __('3 - Low'); ?></option>
                        </select>
                        <div ng-repeat="error in errors.impact">
                            <div class="help-block text-danger">{{ error }}</div>
                        </div>
                        <span class="help-block">
                                <?php echo __('Impact defines the effect that the task has on business<br>Including urgency used for priority calculating'); ?>
                                <a href="https://docs.servicenow.com/bundle/london-it-service-management/page/product/incident-management/reference/r_PrioritizationOfIncidents.html?cshalt=yes">
                                    <?php echo __('(More information)'); ?>
                                </a>
                            </span>
                    </div>
                </div>

                <div class="form-group required col-12 padding-left-0" ng-class="{'has-error': errors.urgency}">
                    <label class="col col-md-2 control-label" for="ServicenowServicespecificSettings.urgency">
                        <?php echo __('Incident Urgency'); ?>
                    </label>
                    <div class="col col-xs-10">
                        <select data-placeholder="<?php echo __('Please choose'); ?>"
                                class="form-control"
                                chosen=""
                                servicenow-convert-to-number
                                id="ServicenowServicespecificSettings.urgency"
                                ng-model="settings.ServicenowServicespecificSettings.urgency">
                            <option value="1"><?php echo __('1 - High'); ?></option>
                            <option value="2"><?php echo __('2 - Medium'); ?></option>
                            <option value="3"><?php echo __('3 - Low'); ?></option>
                        </select>
                        <div ng-repeat="error in errors.urgency">
                            <div class="help-block text-danger">{{ error }}</div>
                        </div>
                        <span class="help-block">
                                <?php echo __('Urgency defines the extent to which the task resolution can be delayed<br>Including impact used for priority calculating'); ?>
                                <a href="https://docs.servicenow.com/bundle/london-it-service-management/page/product/incident-management/reference/r_PrioritizationOfIncidents.html?cshalt=yes">
                                    <?php echo __('(More information)'); ?>
                                </a>
                            </span>
                    </div>
                </div>

                <div class="form-group col-12 padding-left-0" ng-class="{'has-error': errors.assignment_group}">
                    <label class="col col-md-2 control-label" for="ServicenowServicespecificSettings.assignment_group">
                        <?php echo __('Assignment Group'); ?>
                    </label>
                    <div class="col col-xs-10">
                        <input class="form-control"
                               type="text"
                               id="ServicenowServicespecificSettings.assignment_group"
                               placeholder="{{ globalsettings.ServicenowSettings.assignment_group }}"
                               ng-model="settings.ServicenowServicespecificSettings.assignment_group">
                        <div ng-repeat="error in errors.assignment_group">
                            <div class="help-block text-danger">{{ error }}</div>
                        </div>
                        <span class="help-block">
                            <?php echo __('ServiceNow Incident Assignment Group'); ?>
                        </span>
                    </div>
                </div>

                <div class="form-group col-12 padding-left-0" ng-class="{'has-error': errors.assigned_to}">
                    <label class="col col-md-2 control-label" for="ServicenowServicespecificSettings.assigned_to">
                        <?php echo __('Assigned To'); ?>
                    </label>
                    <div class="col col-xs-10">
                        <input class="form-control"
                               type="text"
                               id="ServicenowServicespecificSettings.assigned_to"
                               placeholder="{{ globalsettings.ServicenowSettings.assigned_to }}"
                               ng-model="settings.ServicenowServicespecificSettings.assigned_to">
                        <div ng-repeat="error in errors.assigned_to">
                            <div class="help-block text-danger">{{ error }}</div>
                        </div>
                        <span class="help-block">
                            <?php echo __('ServiceNow Incident Assigned To (automatically sets status to "In progress")'); ?>
                        </span>
                    </div>
                </div>

                <div class="form-group col-12 padding-left-0" ng-class="{'has-error': errors.business_service}">
                    <label class="col col-md-2 control-label" for="ServicenowServicespecificSettings.business_service">
                        <?php echo __('Business Service'); ?>
                    </label>
                    <div class="col col-xs-10">
                        <input class="form-control"
                               type="text"
                               id="ServicenowServicespecificSettings.business_service"
                               placeholder="{{ globalsettings.ServicenowSettings.business_service }}"
                               ng-model="settings.ServicenowServicespecificSettings.business_service">
                        <div ng-repeat="error in errors.business_service">
                            <div class="help-block text-danger">{{ error }}</div>
                        </div>
                        <span class="help-block">
                            <?php echo __('ServiceNow Incident Business Service'); ?>
                        </span>
                    </div>
                </div>

                <div class="col-12 card margin-top-10">
                    <div class="card-body">
                        <div class="float-right">
                            <button ng-click="save()" class="btn btn-primary waves-effect waves-themed">
                                <?php echo __('Save'); ?>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
        <div ng-if="!editable" class="form-group has-error">
            <label class="control-label">
                <?php echo __('No edit permissions'); ?>
            </label>
        </div>
    </div>
</div>
