<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>

<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?php echo __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fas fa-puzzle-piece"></i> <?php echo __('ServiceNow Module'); ?>
    </li>
    <li class="breadcrumb-item">
        <a ui-sref="ServicenowSettingsIndex">

            <i class="fa fa-envelope"></i> <?php echo __('Settings'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fa fa-edit"></i> <?php echo __('Edit'); ?>
    </li>
</ol>


<div class="row">
    <div class="col-xl-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2>
                    <?php echo __('ServiceNow'); ?>
                </h2>
                <span class="fw-300"><i><?php echo __('Settings'); ?></i></span>

            </div>

            <div class="panel-container show">
                <div class="panel-content">

                    <form ng-submit="submit();" class="form-horizontal">
                        <div class="form-group required col-12 padding-left-0"
                             ng-class="{'has-error': errors.api_url}">
                            <label class="col col-md-2 control-label" for="domain">
                                <?php echo __('ServiceNow URL'); ?>
                            </label>
                            <div class="col col-xs-10">
                                <input class="form-control"
                                       type="text"
                                       id="domain"
                                       placeholder="https://my-servicenow.service-now.com"
                                       ng-model="post.domain">
                                <div ng-repeat="error in errors.domain">
                                    <div class="help-block text-danger">{{ error }}</div>
                                </div>
                                <span class="help-block">
                                    <?= __('URL to your ServiceNow Instance'); ?>
                                </span>
                            </div>
                        </div>

                        <div class="form-group required col-12 padding-left-0"
                             ng-class="{'has-error': errors.user_id}">
                            <label class="col col-md-2 control-label" for="user_id">
                                <?php echo __('User ID'); ?>
                            </label>
                            <div class="col col-xs-10">
                                <input class="form-control"
                                       type="text"
                                       id="user_id"
                                       placeholder="openitcockpit"
                                       autocomplete="false"
                                       ng-model="post.user_id">
                                <div ng-repeat="error in errors.user_id">
                                    <div class="help-block text-danger">{{ error }}</div>
                                </div>
                                <span class="help-block">
                                    <?php echo __('ServiceNow User ID'); ?>
                                </span>
                            </div>
                        </div>

                        <div class="form-group required col-12 padding-left-0"
                             ng-class="{'has-error': errors.user_password}">
                            <label class="col col-md-2 control-label" for="user_password">
                                <?php echo __('User Password'); ?>
                            </label>
                            <div class="col col-xs-10">
                                <input class="form-control"
                                       type="password"
                                       id="user_password"
                                       placeholder="password123"
                                       autocomplete="false"
                                       ng-model="post.user_password">
                                <div ng-repeat="error in errors.user_password">
                                    <div class="help-block text-danger">{{ error }}</div>
                                </div>
                                <span class="help-block">
                                    <?php echo __('ServiceNow User Password'); ?>
                                </span>
                            </div>
                        </div>

                        <div class="form-group required col-12 padding-left-0"
                             ng-class="{'has-error': errors.impact}">
                            <label class="col col-md-2 control-label" for="impact">
                                <?php echo __('Incident Impact'); ?>
                            </label>
                            <div class="col col-xs-10">
                                <select data-placeholder="<?php echo __('Please choose'); ?>"
                                        class="form-control"
                                        chosen=""
                                        servicenow-convert-to-number
                                        id="impact"
                                        ng-model="post.impact">
                                    <option value="1"><?php echo __('1 - High'); ?></option>
                                    <option value="2"><?php echo __('2 - Medium'); ?></option>
                                    <option value="3"><?php echo __('3 - Low'); ?></option>
                                </select>
                                <div ng-repeat="error in errors.impact">
                                    <div class="help-block text-danger">{{ error }}</div>
                                </div>
                                <span class="help-block">
                                    <?php echo __('Impact defines the effect that the task has on business<br>Including urgency used for priority calculating'); ?>
                                    <a href="https://docs.servicenow.com/bundle/london-it-service-management/page/product/incident-management/reference/r_PrioritizationOfIncidents.html?cshalt=yes">
                                        <?php echo __('(More information)'); ?>
                                    </a>
                                </span>
                            </div>
                        </div>

                        <div class="form-group required col-12 padding-left-0"
                             ng-class="{'has-error': errors.urgency}">
                            <label class="col col-md-2 control-label" for="urgency">
                                <?php echo __('Incident Urgency'); ?>
                            </label>
                            <div class="col col-xs-10">
                                <select data-placeholder="<?php echo __('Please choose'); ?>"
                                        class="form-control"
                                        chosen=""
                                        servicenow-convert-to-number
                                        id="urgency"
                                        ng-model="post.urgency">
                                    <option value="1"><?php echo __('1 - High'); ?></option>
                                    <option value="2"><?php echo __('2 - Medium'); ?></option>
                                    <option value="3"><?php echo __('3 - Low'); ?></option>
                                </select>
                                <div ng-repeat="error in errors.urgency">
                                    <div class="help-block text-danger">{{ error }}</div>
                                </div>
                                <span class="help-block">
                                    <?php echo __('Urgency defines the extent to which the task resolution can be delayed<br>Including impact used for priority calculating'); ?>
                                    <a href="https://docs.servicenow.com/bundle/london-it-service-management/page/product/incident-management/reference/r_PrioritizationOfIncidents.html?cshalt=yes">
                                        <?php echo __('(More information)'); ?>
                                    </a>
                                </span>
                            </div>
                        </div>

                        <div class="form-group required col-12 padding-left-0"
                             ng-class="{'has-error': errors.recovery_state}">
                            <label class="col col-md-2 control-label" for="recovery_state">
                                <?php echo __('Incident recovery state'); ?>
                            </label>
                            <div class="col col-xs-10">
                                <select data-placeholder="<?php echo __('Please choose'); ?>"
                                        class="form-control"
                                        chosen=""
                                        servicenow-convert-to-number
                                        id="recovery_state"
                                        ng-model="post.recovery_state">
                                    <option value="6"><?php echo __('Resolved'); ?></option>
                                    <option value="7"><?php echo __('Closed'); ?></option>
                                    <option value="8"><?php echo __('Canceled'); ?></option>
                                </select>
                                <div ng-repeat="error in errors.recovery_state">
                                    <div class="help-block text-danger">{{ error }}</div>
                                </div>
                                <span class="help-block">
                                    <?php echo __('Incident state on host / service recovery'); ?>
                                </span>
                            </div>
                        </div>

                        <div class="form-group col-12 padding-left-0"
                             ng-class="{'has-error': errors.assignment_group}">
                            <label class="col col-md-2 control-label" for="assignment_group">
                                <?php echo __('Assignment Group'); ?>
                            </label>
                            <div class="col col-xs-10">
                                <input class="form-control"
                                       type="text"
                                       id="assignment_group"
                                       placeholder="Incident Management"
                                       ng-model="post.assignment_group">
                                <div ng-repeat="error in errors.assignment_group">
                                    <div class="help-block text-danger">{{ error }}</div>
                                </div>
                                <span class="help-block">
                                    <?php echo __('ServiceNow Incident Assignment Group'); ?>
                                </span>
                            </div>
                        </div>

                        <div class="form-group col-12 padding-left-0" ng-class="{'has-error': errors.assigned_to}">
                            <label class="col col-md-2 control-label" for="assigned_to">
                                <?php echo __('Assigned To'); ?>
                            </label>
                            <div class="col col-xs-10">
                                <input class="form-control"
                                       type="text"
                                       id="assigned_to"
                                       placeholder="Incident Manager"
                                       ng-model="post.assigned_to">
                                <div ng-repeat="error in errors.assigned_to">
                                    <div class="help-block text-danger">{{ error }}</div>
                                </div>
                                <span class="help-block">
                                    <?php echo __('ServiceNow Incident Assigned To (automatically sets status to "In progress")'); ?>
                                </span>
                            </div>
                        </div>

                        <div class="form-group col-12 padding-left-0"
                             ng-class="{'has-error': errors.business_service}">
                            <label class="col col-md-2 control-label" for="business_service">
                                <?php echo __('Business Service'); ?>
                            </label>
                            <div class="col col-xs-10">
                                <input class="form-control"
                                       type="text"
                                       id="business_service"
                                       ng-model="post.business_service">
                                <div ng-repeat="error in errors.business_service">
                                    <div class="help-block text-danger">{{ error }}</div>
                                </div>
                                <span class="help-block">
                                    <?php echo __('ServiceNow Incident Business Service'); ?>
                                </span>
                            </div>
                        </div>

                        <div class="form-group col-12" ng-class="{'has-error': errors.enabled}">
                            <div class="custom-control custom-checkbox  margin-bottom-10">
                                <input type="checkbox"
                                       class="custom-control-input"
                                       id="two_way"
                                       ng-model="post.two_way">
                                <label class="custom-control-label" for="two_way">
                                    <?php echo __('Enable Two-Way Integration'); ?>
                                </label>
                                <div class="help-block">
                                    <?php echo __('Via the Two-Way Integration ServiceNow is able, to acknowledge host and service problems.'); ?>
                                    <br>
                                    <?php echo __('For this it is required, that your openITCOCKPIT Server is accessible from the Internet.'); ?>
                                </div>
                            </div>
                        </div>

                        <div class="form-group col-12" ng-class="{'has-error': errors.enabled}">
                            <div class="custom-control custom-checkbox  margin-bottom-10">
                                <input type="checkbox"
                                       class="custom-control-input"
                                       id="use_proxy"
                                       ng-model="post.use_proxy">
                                <label class="custom-control-label" for="use_proxy">
                                    <?php echo __('Use Proxy Server'); ?>
                                </label>
                                <div class="help-block">
                                    <?php
                                    if ($this->Acl->hasPermission('index', 'proxy', '')):
                                        echo __('Determine if the <a href="/#!/proxy/index">configured proxy</a> should be used.');
                                    else:
                                        echo __('Determine if the configured proxy should be used.');
                                    endif;
                                    ?>
                                </div>
                            </div>
                        </div>

                        <div class="card margin-top-10">
                            <div class="card-body">
                                <div class="float-right">
                                    <button type="submit" class="btn btn-primary waves-effect waves-themed">
                                        <?php echo __('Save'); ?>
                                    </button>
                                </div>
                            </div>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<?php echo $this->element('apikey_help'); ?>
