<?php
declare(strict_types=1);

namespace ServicenowModule\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * ServicenowIncidentsFixture
 */
class ServicenowIncidentsFixture extends TestFixture {
    /**
     * Fields
     *
     * @var array
     */
    // @codingStandardsIgnoreStart
    public $fields = [
        'id'               => ['type' => 'integer', 'length' => 11, 'unsigned' => true, 'null' => false, 'default' => null, 'comment' => '', 'autoIncrement' => true, 'precision' => null],
        'incident_id'      => ['type' => 'string', 'length' => 255, 'null' => true, 'default' => null, 'collate' => 'utf8_swedish_ci', 'comment' => '', 'precision' => null],
        'sys_id'           => ['type' => 'string', 'length' => 255, 'null' => true, 'default' => null, 'collate' => 'utf8_swedish_ci', 'comment' => '', 'precision' => null],
        'state'            => ['type' => 'tinyinteger', 'length' => 4, 'unsigned' => true, 'null' => true, 'default' => '1', 'comment' => '', 'precision' => null],
        'resolution_code'  => ['type' => 'string', 'length' => 255, 'null' => true, 'default' => null, 'collate' => 'utf8_swedish_ci', 'comment' => '', 'precision' => null],
        'resolution_notes' => ['type' => 'string', 'length' => 255, 'null' => true, 'default' => null, 'collate' => 'utf8_swedish_ci', 'comment' => '', 'precision' => null],
        'host_uuid'        => ['type' => 'string', 'length' => 255, 'null' => true, 'default' => null, 'collate' => 'utf8_swedish_ci', 'comment' => '', 'precision' => null],
        'service_uuid'     => ['type' => 'string', 'length' => 255, 'null' => true, 'default' => null, 'collate' => 'utf8_swedish_ci', 'comment' => '', 'precision' => null],
        'created'          => ['type' => 'datetime', 'length' => null, 'precision' => null, 'null' => false, 'default' => null, 'comment' => ''],
        'modified'         => ['type' => 'datetime', 'length' => null, 'precision' => null, 'null' => false, 'default' => null, 'comment' => ''],
        '_constraints'     => [
            'primary' => ['type' => 'primary', 'columns' => ['id'], 'length' => []],
        ],
        '_options'         => [
            'engine'    => 'InnoDB',
            'collation' => 'utf8_swedish_ci'
        ],
    ];
    // @codingStandardsIgnoreEnd

    /**
     * Init method
     *
     * @return void
     */
    public function init(): void {
        $this->records = [
            [
                'id'               => 1,
                'incident_id'      => 'Lorem ipsum dolor sit amet',
                'sys_id'           => 'Lorem ipsum dolor sit amet',
                'state'            => 1,
                'resolution_code'  => 'Lorem ipsum dolor sit amet',
                'resolution_notes' => 'Lorem ipsum dolor sit amet',
                'host_uuid'        => 'Lorem ipsum dolor sit amet',
                'service_uuid'     => 'Lorem ipsum dolor sit amet',
                'created'          => '2020-01-17 08:12:54',
                'modified'         => '2020-01-17 08:12:54',
            ],
        ];
        parent::init();
    }
}
