<?php
declare(strict_types=1);

namespace ServicenowModule\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * ServicenowSettingsFixture
 */
class ServicenowSettingsFixture extends TestFixture {
    /**
     * Fields
     *
     * @var array
     */
    // @codingStandardsIgnoreStart
    public $fields = [
        'id'               => ['type' => 'integer', 'length' => 11, 'unsigned' => true, 'null' => false, 'default' => null, 'comment' => '', 'autoIncrement' => true, 'precision' => null],
        'url'              => ['type' => 'string', 'length' => 255, 'null' => true, 'default' => null, 'collate' => 'utf8_swedish_ci', 'comment' => '', 'precision' => null],
        'user_id'          => ['type' => 'string', 'length' => 255, 'null' => true, 'default' => null, 'collate' => 'utf8_swedish_ci', 'comment' => '', 'precision' => null],
        'user_password'    => ['type' => 'string', 'length' => 255, 'null' => true, 'default' => null, 'collate' => 'utf8_swedish_ci', 'comment' => '', 'precision' => null],
        'assignment_group' => ['type' => 'string', 'length' => 255, 'null' => true, 'default' => null, 'collate' => 'utf8_swedish_ci', 'comment' => '', 'precision' => null],
        'assigned_to'      => ['type' => 'string', 'length' => 255, 'null' => true, 'default' => null, 'collate' => 'utf8_swedish_ci', 'comment' => '', 'precision' => null],
        'business_service' => ['type' => 'string', 'length' => 255, 'null' => true, 'default' => null, 'collate' => 'utf8_swedish_ci', 'comment' => '', 'precision' => null],
        'impact'           => ['type' => 'tinyinteger', 'length' => 4, 'unsigned' => true, 'null' => true, 'default' => '1', 'comment' => '', 'precision' => null],
        'urgency'          => ['type' => 'tinyinteger', 'length' => 4, 'unsigned' => true, 'null' => true, 'default' => '1', 'comment' => '', 'precision' => null],
        'recovery_state'   => ['type' => 'tinyinteger', 'length' => 4, 'unsigned' => true, 'null' => true, 'default' => '6', 'comment' => '', 'precision' => null],
        'two_way'          => ['type' => 'boolean', 'length' => null, 'null' => false, 'default' => '0', 'comment' => '', 'precision' => null],
        'use_proxy'        => ['type' => 'boolean', 'length' => null, 'null' => false, 'default' => '0', 'comment' => '', 'precision' => null],
        'created'          => ['type' => 'datetime', 'length' => null, 'precision' => null, 'null' => false, 'default' => null, 'comment' => ''],
        'modified'         => ['type' => 'datetime', 'length' => null, 'precision' => null, 'null' => false, 'default' => null, 'comment' => ''],
        '_constraints'     => [
            'primary' => ['type' => 'primary', 'columns' => ['id'], 'length' => []],
        ],
        '_options'         => [
            'engine'    => 'InnoDB',
            'collation' => 'utf8_swedish_ci'
        ],
    ];
    // @codingStandardsIgnoreEnd

    /**
     * Init method
     *
     * @return void
     */
    public function init(): void {
        $this->records = [
            [
                'id'               => 1,
                'url'              => 'Lorem ipsum dolor sit amet',
                'user_id'          => 'Lorem ipsum dolor sit amet',
                'user_password'    => 'Lorem ipsum dolor sit amet',
                'assignment_group' => 'Lorem ipsum dolor sit amet',
                'assigned_to'      => 'Lorem ipsum dolor sit amet',
                'business_service' => 'Lorem ipsum dolor sit amet',
                'impact'           => 1,
                'urgency'          => 1,
                'recovery_state'   => 1,
                'two_way'          => 1,
                'use_proxy'        => 1,
                'created'          => '2020-01-17 08:12:20',
                'modified'         => '2020-01-17 08:12:20',
            ],
        ];
        parent::init();
    }
}
