angular.module('openITCOCKPIT').directive('servicenowHostElement', function($http, NotyService){
    return {
        restrict: 'E',
        templateUrl: '/servicenow_module/elements/host_configuration.html',
        scope: {
            'hostUuid': '@',
            'lastLoad': '@',
            'editable': '@'
        },

        controller: function($scope){
            $scope.init = false;
            $scope.globalsettings = null;
            $scope.settings = null;
            $scope.incident = {
                ServicenowIncident: null
            };

            $scope.load = function(){
                $http.get("/servicenow_module/servicenow_settings/hostspecific/" + $scope.hostUuid + ".json", {
                    params: {
                        'angular': true
                    }
                }).then(function(result){
                    $scope.globalsettings = result.data.globalsettings;
                    $scope.settings = result.data.settings;
                    $scope.incident = result.data.incident;
                }, function errorCallback(result){
                    if(result.status === 404){
                        window.location.href = '/angular/not_found';
                    }
                });
            };

            $scope.save = function(){
                if($scope.settings.ServicenowHostspecificSettings.assignment_group === ""){
                    $scope.settings.ServicenowHostspecificSettings.assignment_group = null;
                }
                if($scope.settings.ServicenowHostspecificSettings.assigned_to === ""){
                    $scope.settings.ServicenowHostspecificSettings.assigned_to = null;
                }
                if($scope.settings.ServicenowHostspecificSettings.business_service === ""){
                    $scope.settings.ServicenowHostspecificSettings.business_service = null;
                }
                $scope.settings.ServicenowHostspecificSettings.host_uuid = $scope.hostUuid;
                $http.post("/servicenow_module/servicenow_settings/hostspecific.json?angular=true",
                    $scope.settings
                ).then(function(result){
                    if(result.data.id != null){
                        $scope.settings.ServicenowHostspecificSettings.id = parseInt(result.data.id);
                    }
                    NotyService.genericSuccess();
                }, function errorCallback(result){
                    NotyService.genericError();
                    if(result.status === 404){
                        window.location.href = '/angular/not_found';
                    }
                });
            };

            $scope.$watch('hostUuid', function(){
                if($scope.hostUuid != null && $scope.hostUuid !== ""){
                    $scope.load();
                    $scope.init = true;
                }
            }, true);

            $scope.$watch('lastLoad', function(){
                if($scope.hostUuid != null && $scope.hostUuid !== "" && $scope.init){
                    $scope.load();
                }
            }, true);
        },

        link: function($scope, element, attr){

        }
    };
});